curl --request POST \
--url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"conditions": [
{
"filterType": "CRM_OBJECT_PROPERTY",
"property": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
},
"subscriptionId": 123
}
'import requests
url = "https://api.hubapi.com/webhooks-journal/subscriptions/2026-03/filters"
payload = {
"filter": { "conditions": [
{
"filterType": "CRM_OBJECT_PROPERTY",
"property": "<string>",
"value": "<string>",
"values": ["<string>"]
}
] },
"subscriptionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
conditions: [
{
filterType: 'CRM_OBJECT_PROPERTY',
property: '<string>',
value: '<string>',
values: ['<string>']
}
]
},
subscriptionId: 123
})
};
fetch('https://api.hubapi.com/webhooks-journal/subscriptions/2026-03/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filterId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a subscription filter
Crie um novo filtro para uma assinatura de webhook na sua conta HubSpot. Este endpoint permite definir condições específicas que um evento de webhook deve atender para acionar a assinatura. É útil para gerenciar e personalizar o comportamento das assinaturas de webhook com base em critérios específicos.
Supported products
Supported products
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Defines a single condition for searching CRM objects, specifying the property to filter on, the operator to use (such as equals, greater than, or contains), and the value(s) to compare against.
Show child attributes
Show child attributes
O identificador exclusivo da assinatura à qual o filtro será aplicado. É um número inteiro no formato int64.
Resposta
successful operation
O identificador exclusivo do filtro criado. É um número inteiro no formato int64.